Ability to specify embedded Jetty version when calling it from maven plugin

Description

At the moment maven plugin use it internal defaults about embedded Jetty version that plugin use.

I with to have an ability to specify Jetty's version something like this:

1 2 3 4 5 6 <configuration> <container> <containerId>jetty6x</containerId> <type>embedded</type> <version>6.1.7</version> </container>

and it looks natural that maven plugin will pick up particular Jetty version from maven repository (http://www.mvnrepository.com/artifact/org.mortbay.jetty/jetty) together with all its depenedencies.

@alitokmen: I rather think it will probably be something like:

1 2 3 4 5 6 7 8 9 10 <configuration> <container> <containerId>jetty6x</containerId> <type>embedded</type> <properties> <jetty.version>6.1.7</jetty.version> <servlet-api.version>2.5</servlet-api.version> </properties> </container> </configuration>

Therefore, the user would declare all versions of dependencies to override. We would in this case need to document all usable properties somewhere, and keep the list updated.

Status

Assignee

Unassigned

Reporter

Den Orlov

Components

Fix versions

Affects versions

0.3-maven2

Priority

Major
Configure